<div class="container">
  <section class="vh-100">
    <div class="container h-100">
      <div class="row d-flex justify-content-center align-items-center h-100">
        <div class="col-lg-12 col-xl-11">
          <div class="card text-black" style="border-radius: 25px;">
            <div class="card-body p-md-5">
              <div class="row justify-content-center">
                <div class="col-md-10 col-lg-8 col-xl-5 order-2 order-lg-1">
                  <p class="text-center h1 ">
                    Formulaire d'inscription
                  </p>
                  <hr />

                  <form class="mx-1 mx-md-4 was-validated">
                    <div class="d-flex flex-row align-items-center mb-4">
                      <i class="fas fa-envelope fa-lg me-3 fa-fw"></i>
                      <div class="form-outline flex-fill mb-0">
                        <input
                          [(ngModel)]="user.username"
                          (ngModelChange)="sendIsDisable()"
                          type="email"
                          id="form3Example3c"
                          class="form-control"
                          placeholder="Votre adresse e-mail de connexion"
                          name="username"
                          required
                        />
                      </div>
                    </div>

                    <div class="d-flex flex-row align-items-center mb-4">
                      <i class="fas fa-lock fa-lg me-3 fa-fw"></i>
                      <div class="form-outline flex-fill mb-0">
                        <input
                          [(ngModel)]="user.password"
                          (ngModelChange)="sendIsDisable()"
                          type="password"
                          id="form3Example4c"
                          class="form-control"
                          placeholder="Mot de passe"
                          name="password"
                          required
                        />
                      </div>
                    </div>

                    <div class="d-flex flex-row align-items-center mb-4">
                      <i class="fas fa-user fa-lg me-3 fa-fw"></i>
                      <div class="form-outline flex-fill mb-0">
                        <input
                          [(ngModel)]="user.lastName"
                          (ngModelChange)="sendIsDisable()"
                          type="text"
                          id="form3Example1c"
                          class="form-control"
                          placeholder="Votre nom de famille"
                          name="lastName"
                          required
                        />
                      </div>
                    </div>

                    <div class="d-flex flex-row align-items-center mb-4">
                      <i class="fas fa-user fa-lg me-3 fa-fw"></i>
                      <div class="form-outline flex-fill mb-0">
                        <input
                          [(ngModel)]="user.firstName"
                          (ngModelChange)="sendIsDisable()"
                          type="text"
                          id="form3Example1c"
                          class="form-control"
                          placeholder="Votre prenom"
                          name="firstName"
                          required
                        />
                      </div>
                    </div>

                    <div class="d-flex flex-row align-items-center mb-4">
                      <i class="fa-solid fa-house fa-lg me-3"></i>
                      <div class="form-outline flex-fill mb-0">
                        <textarea
                          [(ngModel)]="user.adresse"
                          (ngModelChange)="sendIsDisable()"
                          class="form-control"
                          rows="5"
                          id="form3Example1c"
                          name="text"
                          placeholder="Votre adresse complète"
                          name="adresse"
                          required
                        ></textarea>
                      </div>
                    </div>

                    <div
                      class="d-flex justify-content-center mx-4 mb-3 mb-lg-4"
                    >
                      <button
                        (click)="register()"
                        type="submit"
                        class="btn btn-outline-success btn-lg"
                        [disabled]="sendButtonIsDisable"
                      >
                        Créer mon compte
                      </button>
                    </div>
                  </form>
                </div>

                <div
                  class="col-md-10 col-lg-6 col-xl-7 d-flex align-items-center order-1 order-lg-2"
                >
                  <img
                    src="assets\img\logov3.png"
                    class="img-fluid"
                    alt="Sample image"
                  />
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </section>
</div>
